gir1.2-atspi-2.0_2.28.0-1_amd64.deb


Advertisement

Description

gir1.2-atspi-2.0 - Assistive Technology Service Provider (GObject introspection)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package filename gir1.2-atspi-2.0_2.28.0-1_amd64.deb
Package name gir1.2-atspi-2.0
Package version 2.28.0
Package release 1
Package architecture amd64
Package type deb
Category introspection
Homepage https://wiki.gnome.org/Accessibility
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 14.22 KB
Installed size 68.00 KB
This package can be used by other packages using the GIRepository format to
generate dynamic bindings

Alternatives

Package Version Architecture Repository
gir1.2-atspi-2.0_2.28.0-1_i386.deb 2.28.0 i386 Ubuntu Main
gir1.2-atspi-2.0 - - -

Requires

Name Value
gir1.2-freedesktop -
gir1.2-glib-2.0 -
libatspi2.0-0 >= 2.9.90

Replaces

Name Value
gir1.0-gtk-2.0 << 2.22
gobject-introspection-repository -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package gir1.2-atspi-2.0_2.28.0-1_amd64.deb
Source Package at-spi2-core

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gir1.2-atspi-2.0 deb package:
    # sudo apt-get install gir1.2-atspi-2.0

Files

Path
/usr/lib/x86_64-linux-gnu/girepository-1.0/Atspi-2.0.typelib
/usr/share/doc/gir1.2-atspi-2.0/changelog.Debian.gz
/usr/share/doc/gir1.2-atspi-2.0/copyright

Changelog

2018-03-12 - Jeremy Bicha <jbicha@debian.org>
at-spi2-core (2.28.0-1) unstable; urgency=medium
* Team upload
* New upstream release
- Includes reproducible build fix from Chris Lamb (Closes: #883359)
* Bump debhelper compat to 11
* Bump Standards-Version to 4.1.3
2017-11-25 - Jeremy Bicha <jbicha@debian.org>
at-spi2-core (2.26.2-2) unstable; urgency=medium
* Team upload
* Build with meson
* Bump debhelper compat to 10
* Use dh_missing --fail-missing
* Update debian/watch
2017-10-30 - Samuel Thibault <sthibault@debian.org>
at-spi2-core (2.26.2-1) unstable; urgency=medium
* New upstream release.
2017-10-30 - Samuel Thibault <sthibault@debian.org>
at-spi2-core (2.26.1-1) unstable; urgency=medium
* New upstream release.
- patches/avoid_xkb_dep: Drop, fixed upstream.
* control: Bump Standards-Version to 4.1.1 (no changes).
2017-09-16 - Samuel Thibault <sthibault@debian.org>
at-spi2-core (2.26.0-2) unstable; urgency=medium
* patches/avoid_xkb_dep: Do not link against xkbcommon, we don't actually
need it (Closes: Bug#875945).
2017-09-15 - Jeremy Bicha <jbicha@debian.org>
at-spi2-core (2.26.0-1) unstable; urgency=medium
* Team upload
[ Jeremy Bicha ]
* New upstream release
* debian/control:
- Build-depend on libxkbcommon-x11-dev and libxkbcommon-dev
* Drop accessible_get_parent.diff: Applied in new release
[ Samuel Thibault ]
* 90qt-a11y: Stop setting QT_LINUX_ACCESSIBILITY_ALWAYS_ON, starting from at
least 5.9, qt5base does not need it any more to enable accessibility
(Closes: Bug#874172).
2017-08-22 - Samuel Thibault <sthibault@debian.org>
at-spi2-core (2.24.1-2) unstable; urgency=medium
* control: Bump Standards-Version to 4.1.0 (no changes).
* patches/accessible_get_parent.diff: Upstream fix for crash on switching
between windows (Closes: Bug#872912).
2017-07-04 - Paul Gevers <elbrus@debian.org>
at-spi2-core (2.24.1-1) unstable; urgency=medium
* Team upload
[ Jeremy Bicha ]
* New upstream release.
* Drop patches applied in new release:
- revert-register-late
- register-client-not-too-early
- git-329ef2c4ebcb3aec6dcfcac15357fd583a60c969
- git-eba079f3e72e61e6b55d81727ab50c85d505d296
[ Samuel Thibault ]
* Use canonical anonscm vcs URL.
* control: Update maintainer mailing list.
* re-enable PIE, gobject-introspection doesn't pose problem any more
(Closes: Bug#865597).
[ Paul Gevers ]
* Rewrite d/copyright
2017-05-09 - Samuel Thibault <sthibault@debian.org>
at-spi2-core (2.22.0-6) unstable; urgency=medium
* patches/git-329ef2c4ebcb3aec6dcfcac15357fd583a60c969:
clear root accessible's ref to the app, fixes Orca sometimes hanging when
apps are quit.
* patches/git-eba079f3e72e61e6b55d81727ab50c85d505d296:
atspi_table_cell_get_position: don't crash on error
2016-12-27 - Samuel Thibault <sthibault@debian.org>
at-spi2-core (2.22.0-5) unstable; urgency=medium
* patches/register-client-early: Replace by upstream proposed fix:
- patches/revert-register-late: Revert change.
- patches/register-client-not-too-early: But delay client registration a
bit (Closes: Bug#848996).

See Also

Package Description
gir1.2-avahi-0.6_0.7-3.1ubuntu1_amd64.deb GObject introspection data for Avahi
gir1.2-blockdev-2.0_2.16-2_amd64.deb libblockdev introspection data
gir1.2-camel-1.2_3.28.1-1ubuntu1_amd64.deb GObject introspection for the Camel library
gir1.2-cheese-3.0_3.28.0-1ubuntu1_amd64.deb tool to take pictures and videos from your webcam - gir bindings
gir1.2-clutter-1.0_1.26.2+dfsg-4_amd64.deb GObject introspection data for the Clutter 1.0 library
gir1.2-clutter-gst-3.0_3.0.26-1_amd64.deb Gobject introspection data for Clutter GStreamer elements
gir1.2-cogl-1.0_1.22.2-3_amd64.deb GObject introspection data for the Cogl 1.0 library
gir1.2-coglgst-2.0_1.22.2-3_amd64.deb GObject introspection data for the CoglGst 2.0 library
gir1.2-coglpango-1.0_1.22.2-3_amd64.deb GObject introspection data for the CoglPango 1.0 library
gir1.2-colord-1.0_1.3.3-2build1_amd64.deb GObject introspection data for the colord library
gir1.2-colordgtk-1.0_0.1.26-2_amd64.deb GObject introspection data for the colord-gtk library
gir1.2-colorhug-1.0_1.3.3-2build1_amd64.deb GObject introspection data for the colorhug library
gir1.2-dazzle-1.0_3.28.1-1_amd64.deb GObject introspection data for libdazzle
gir1.2-dbusmenu-glib-0.4_16.04.1+18.04.20171206-0ubuntu1_amd64.deb typelib file for libdbusmenu-glib4
gir1.2-dbusmenu-gtk3-0.4_16.04.1+18.04.20171206-0ubuntu1_amd64.deb typelib file for libdbusmenu-gtk3-4
Advertisement
Advertisement